.custom-align h6 {
    margin-top: 0;
    margin-bottom: 0;
}

#column1-content ul {
    padding: 0;
}

.fixed-width-status {
    width: 100px; /* Adjust the width as needed */
    display: inline-block;
    text-align: center;
}

.ellipsis {
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


#descriptionText p {
    display: inline-block;
    width: 250px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.tickets-card {
    border: 1px solid #cdd4e0;
    margin-bottom: 10px;
}

.row.h-100 {
    height: 100%;
}

.align-self-stretch {
    align-self: stretch;
}

.flex-grow-1 {
    flex-grow: 1;
}

.dropdown-toggle {

    background: inherit;
    border: none;
}

.dropdown-toggle i {
    font-size: 20px;
    line-height: 20px;
}

.dropdown-toggle:after {
    border-bottom: 0;
    border-left: .3em solid transparent;
    border-right: .3em solid transparent;
    border-top: .3em solid;
    content: none;
    display: inline-block;
    margin-left: .255em;
    vertical-align: .255em;
}

.center {
    text-align: center;
}


#column1 {
    container-type: inline-size;
    container-name: column1;
}

@container column1 (max-width: 255px) {

    .tags {
        display: none !important;
    }

    .task-element {
        min-height: 100px;
        max-heigt: 100px;
    }

    .innerCard {
        overflow: hidden;
    }

}


.dotted-text p {
    display: block;
    margin-bottom: 0;
    margin-top: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 300px
}

@media (max-width: 992px) {
    .text-flex {
        flex: 0 0 100px;
        font-size: .8em
    }

    h5 {
        font-size: 1em
    }

    .dotted-text p {
        width: 200px
    }
}

#portlet-action-dropdown.dropdown-toggle {
    background: inherit;
    border: none
}

#portlet-action-dropdown.dropdown-toggle i {
    font-size: 20px;
    line-height: 20px
}

#portlet-action-dropdown.dropdown-toggle i:before {
    margin-left: 10px;
    margin-right: -10px
}

#portlet-action-dropdown.dropdown-toggle:after {
    display: none
}

.dropdown-menu-right {
    left: 0 !important
}

.force-wrap {
    word-wrap: break-word;
    overflow-wrap: break-word;
    word-break: break-all
}

.nav-pills .nav-link {
    background-color: #fff;
    border: 1px;
    border-bottom-color: #fff !important;
    border-left-color: #fff !important;
    border-right-color: #fff !important;
    border-top-color: #e3e7ed;
    color: #596882
}

.nav-pills .nav-link.active, .nav-pills .nav-link:focus, .nav-pills .nav-link:hover {
    background-color: #f4f5f8;
    color: #1c273c
}

.nav-pills .nav-link.active {
    border-bottom-color: #f4f5f8 !important;
    border-left-color: #5b47fb !important;
    border-right-color: #f4f5f8 !important;
    border-top-color: #e3e7ed
}

.nav-pills .nav-link.active:focus, .nav-pills .nav-link.active:hover {
    border-left-color: #5b47fb;
    color: #1c273c
}

.ql-bubble.ql-container {
    border: 1px solid rgba(0, 0, 0, .125)
}

.ql-bubble.ql-container.ql-disabled {
    border: none
}

.error {
    display: none;
    font-size: .8em
}

.error-visible, .task-search {
    display: block
}

.task-search {
    margin: 0;
    position: relative
}

@media (max-width: 577px) {
    .task-search {
        background-color: #fff;
        border-bottom: 1px solid rgba(28, 39, 60, .12);
        bottom: auto;
        display: none;
        left: auto;
        padding: 5px 20px 20px;
        position: absolute;
        right: 0;
        top: 54px;
        z-index: 100
    }

    .task-search, .task-search .form-control {
        width: 100% !important
    }
}

.task-search .form-control {
    background-color: #fcfcfc;
    border-color: #e3e7ed;
    border-width: 2px;
    height: 44px;
    padding-right: 20px;
    -webkit-transition: none;
    transition: none
}

.task-search .form-control:focus {
    background-color: #fff;
    border-color: #b4bdce;
    -webkit-box-shadow: none !important;
    box-shadow: none !important
}

.task-search .form-control:focus + .btn {
    color: #7987a1
}

.task-search .btn {
    background-color: transparent;
    color: #7987a1;
    font-size: 16px;
    height: 40px;
    padding-right: 25px;
    position: absolute;
    right: 0;
    top: 0;
    -webkit-transition: none;
    transition: none
}

.search-hint {
    border-color: #cdd4e0;
    border-width: 2px;
    bottom: auto;
    left: auto;
    padding: 20px 20px 15px;
    position: absolute;
    right: auto;
    top: 52px;
    width: 300px
}

.form-control::-webkit-input-placeholder {
    color: #5b47fb
}

.form-control:-ms-input-placeholder {
    color: #5b47fb
}

.form-control::placeholder {
    color: #5b47fb
}

.form-control-sm {
    background-clip: padding-box;
    background-color: #fff;
    border: 1px solid #cdd4e0;
    border-radius: 3px;
    color: #596882;
    display: block;
    font-size: .875rem;
    font-weight: 400;
    height: calc(1.5em + .75rem + 2px);
    line-height: 1.5;
    padding: .375rem .75rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    width: 75px
}

.form-control-sm:disabled, .form-control:disabled, .form-control[readonly] {
    background-color: #fff;
    border: none;
    color: #1c273c;
    font-weight: 500
}

.clickable_div {
    background: transparent;
    height: 33px;
    margin-left: 60px;
    margin-top: 0;
    position: absolute;
    width: 68%;
    z-index: 1
}

.edit-input-muted:disabled, .edit-input-muted[readonly] {
    color: #596882
}

.edit-input-jumbo {
    font-size: 18px;
    font-weight: 500;
    line-height: 32px
}

.edit-input-light:disabled, .edit-input-lightd[readonly] {
    font-weight: 300
}

.w-98 {
    width: 98% !important
}

.cursor-grab {
    cursor: grab
}

.cursor-pointer {
    cursor: pointer
}

.cursor-no {
    cursor: not-allowed
}

@media (max-width: 567px) {
    .tickets-card {
        padding: 15px
    }
}

.btn-indigo-white {
    white-space: nowrap
}

.tickets-date-group i {
    font-size: 8px;
    margin-right: 5px
}

ul.timeline {
    list-style-type: none;
    position: relative
}

ul.timeline:before {
    background: #d4d9df;
    content: " ";
    display: inline-block;
    height: 100%;
    left: 29px;
    position: absolute;
    width: 2px;
    z-index: 400
}

ul.timeline > li {
    margin: 20px 0;
    padding-left: 20px
}

ul.timeline > li:before {
    background: #fff;
    border: 3px solid #5b47fb;
    border-radius: 50%;
    content: " ";
    display: inline-block;
    height: 20px;
    left: 20px;
    position: absolute;
    width: 20px;
    z-index: 400
}

code {
    color: #7987a1
}

.settings-element, .template-element {
    margin-bottom: 5px;
    padding: 5px 10px
}

.ql-editor {
    min-height: 80px
}

.list-group-item {
    padding: .7rem .5rem .2rem
}

.border-horizontal {
    border-left: 0;
    border-right: 0
}

.list-group-header {
    border-bottom: 0;
    border-top: 0;
    line-height: 2.5
}

#relative_due_date_value {
    display: inline;
    width: 100px
}

#select_relative_due_date_unit {
    display: inline;
    width: 145px
}

.select2-container--default.select2-container--disabled .select2-selection--single {
    background-color: #fff;
    border: none;
    font-weight: 500
}

.select2 {
    width: 100% !important
}

@media (max-width: 576px) {
    .select2 {
        min-width: 160px;
        width: 100% !important
    }
}

.select2-container--default .select2-selection--multiple {
    background-color: #fff;
    border: 1px solid rgba(34, 36, 38, .15);
    border-radius: .28571429rem;
    box-shadow: none;
    cursor: text
}

.select2-container--default.select2-container--disabled .select2-selection--multiple {
    background-color: #fff;
    border: 0 solid #f4f5f8;
    cursor: default;
    opacity: .45
}

.select2-selection--multiple .select2-selection__rendered {
    box-sizing: border-box;
    list-style: none;
    margin: 0;
    padding: 0 5px
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #f4f5f8;
    border: 1px solid #f4f5f8;
    border-radius: 0;
    -webkit-box-shadow: inset 0 0 0 1px rgba(34, 36, 38, .15);
    box-shadow: inset 0 0 0 1px rgba(34, 36, 38, .15);
    color: #1c273c;
    cursor: default;
    float: left;
    font-size: small;
    margin-right: 5px;
    margin-top: 5px;
    padding: 3px 5px
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: #aaabad;
    float: right;
    font-size: 18px;
    left: 7px;
    line-height: 1;
    margin-left: 6px;
    margin-right: 6px;
    opacity: 1;
    position: inherit;
    top: 0
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: rgba(0, 0, 0, .03);
    color: rgba(0, 0, 0, .95)
}

.badge_open {
    background-color: #8cdc7c;
    color: #1c273c
}

.badge_pending {
    background-color: #ffc107;
    color: #1c273c
}

.badge_planned {
    background-color: #7987a1;
    color: #fff
}

.badge_onhold {
    background-color: #17a2b8;
    color: #fff
}

.badge_closed {
    background-color: #3bb001;
    color: #fff
}

.badge_canceled {
    background-color: #dc3545;
    color: #fff
}

.list-item-text.done {
    color: gray;
    text-align: right;
    text-decoration: line-through
}

.remove {
    color: #7987a1;
    height: 28px;
    min-height: 18px
}

.remove.disabled, .remove.disabled:hover, .remove:disabled, .remove:disabled:hover {
    color: transparent !important
}

.remove:hover {
    color: #000
}

blockquote.task_title {
    margin: 0;
    background-color: lightgray;
    padding: 8px;
    border-radius: 8px;
    display: inline-block;
}

.bt_h38 {
    height: 38px;
}

.bb_1_grey {
    border-bottom: 1px solid #dddddd;
    margin-bottom: 5px;
}

.bt_1_grey {
    border-top: 1px solid #dddddd;
    margin-top: 5px;
}

.badges {
    background-color: #e8f1ff;
    color: #36f;
    margin: 0 5px 0 5px;
}

.badges-disabled {
    background-color: #f4f5f8;
    border: 1px solid #f4f5f8;
    border-radius: 0;
    -webkit-box-shadow: inset 0 0 0 1px rgba(34, 36, 38, .15);
    box-shadow: inset 0 0 0 1px rgba(34, 36, 38, .15);
    color: #7987a1;
    font-size: small;
    margin-right: 5px;
    padding: 3px 5px;
}

li.active {
    background: linear-gradient(358deg, rgba(28, 39, 60, .12), transparent);
    border: 1px solid #9399a3;
}

.tickets-card:hover {
    background: linear-gradient(358deg, rgba(91,71,251, .12), transparent);
}


input:required,
select:required {
  border-color: #800000;
  border-width: 1px;
}